Draft CircularArray/it: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 131: Line 131:
|[[Draft_Draft2Sketch/it|Da Draft a Sketch]]
|[[Draft_Draft2Sketch/it|Da Draft a Sketch]]
|[[Draft_LinkArray/it|Link Array]]
|[[Draft_LinkArray/it|Link Array]]
|[[Draft_Module/it|Draft]]
|[[Draft_Workbench/it|Draft]]
|IconL=Draft_Draft2Sketch.svg
|IconL=Draft_Draft2Sketch.svg
|IconC=Workbench_Draft.svg
|IconC=Workbench_Draft.svg

Revision as of 20:18, 4 September 2021

Serie circolare

Posizione nel menu
Modifiche → Strumenti serie → Serie circolare
Ambiente
Draft
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Serie ortogonale, Serie polare, Serie su tracciato, Serie di link su tracciato, Serie su punti, Clona

Descrizione

Lo strumento Serie circolare crea una serie da un oggetto selezionato posizionando le copie lungo circonferenze concentriche. È come usare la Serie polare con un angolo polare di 360 gradi e creando diverse serie concentriche.

Questo strumento può essere utilizzato su qualsiasi oggetto che abbia una Part TopoShape, che significa forme 2D create con Draft, ma anche solidi 3D creati con altri ambienti, ad esempio Part, PartDesign o Arch. Può anche creare App Link anziché semplici copie.

Una serie circolare di un oggetto.

Utilizzo

See also: Draft Snap.

  1. Optionally select one object.
  2. There are several ways to invoke the command:
    • Press the Draft CircularArray button.
    • Select the Modification → Array tools → Circular array option from the menu.
  3. The Circular array task panel opens. See Options for more information.
  4. If you have not yet selected an object: select one object.
  5. Enter the required parameters in the task panel.
  6. To finish the command do one of the following:
    • Pick a point in the 3D view for the Center of rotation.
    • Press Enter.
    • Press the OK button.

Opzioni

  • Enter the Radial distance to specify the distance between the circular layers, and between the center and the first circular layer.
  • Enter the Tangential distance to specify the distance between the elements on the same circular layer. Must be larger than zero.
  • Enter the Number of circular layers. The element at the center counts as one layer. Must be at least 2. The maximum that can be entered in the task panel is 99, but higher values are possible by changing the DatiNumber Circles property of the array.
  • Enter the Symmetry value. This number determines how the elements are distributed. A value of 3, for example, results in a pattern with three equal 120° pie segments. Larger values for the Symmetry and the Tangential distance result in fewer or even no elements on the inner layers.
  • Pick a point in the 3D view, note that this will also finish the command, or type coordinates for the Center of rotation. The rotation axis of the array will pass through this point. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press the Reset point button to reset the Center of rotation to the origin.
  • If the Fuse checkbox is checked overlapping elements in the array are fused. This does not work for Link arrays.
  • If the Link array checkbox is checked a Link array instead of a regular array is created. A Link array is more efficient because its elements are App Link objects.
  • Press Esc or the Cancel button to abort the command.

Notes

  • The default rotation axis for the array is the positive Z axis. This can be changed by editing its DatiAxis property.
  • A Draft CircularArray can be turned into a Draft OrthoArray or a Draft PolarArray by changing its DatiArray Type property.
  • A Link array cannot be turned into a regular array or vice versa. The type of array must be decided at creation time.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates and distances: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Proprietà

See Draft OrthoArray.

Script

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a circular array use the make_array method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeArray method. The make_array method can create Draft OrthoArrays, Draft PolarArrays and Draft CircularArrays. For each array type one or more wrappers are available.

The main method:

array = make_array(base_object, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, use_link=True)

The wrapper for circular arrays is:

array = make_circular_array(base_object,
                            r_distance=100, tan_distance=50,
                            number=3, symmetry=1,
                            axis=App.Vector(0, 0, 1), center=App.Vector(0, 0, 0),
                            use_link=True)
  • base_object is the object to be arrayed. It can also be the Label (string) of an object in the current document.
  • r_distance and tan_distance are the radial and tangential distances between the elements.
  • number is the number of circular layers in the pattern, the original object counts as the first layer.
  • symmetry is an integer used in some calculations that affect the way the elements are distributed around the circumferences. Usual values are from 1 to 6. Higher values are not recommended and will make the elements in the inner layers disappear.
  • axis and center are vectors that describe the direction of the axis of rotation, and a point through which that axis passes.
  • If use_link is True the created elements are App Links instead of regular copies.
  • array is returned with the created array object.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)

array = Draft.make_circular_array(tri, 1800, 1200, 4, 1)
doc.recompute()